/*============================================================================*/
/*     Header file for ccd utility routines                                   */
/*============================================================================*/
#define CCDUTILS_H

#ifdef CCDUTILS_C
int fp_tokenize(char *str);
int fp_parse(CMD_ENTRY cmd_dict[], int dict_size);
int scriptrun(char* fname);
int find_file(char* fname, char* fpath);
char *nxttoken(void);
double fp_arg(void);

void imdesc_prt(IMDESC *im);
void imdesc_init(IMDESC *im);
int ccdrdfits(IMDESC *im, char *fname);
int ccdwrfits(IMDESC *im, char *fname);

int ddopen();
void ddclose();
void dderase();
int ddwriteimage(IMDESC *im);
int ddsetconfig(int config_num);
int ddsetzrange(int min, int max);
int ddsetzspan(int span);
int ddsetzmin(int min);
int ddsetzmax(int max);
#endif

#ifndef CCDUTILS_C
extern int fp_tokenize(char *str);
extern int fp_parse(CMD_ENTRY cmd_dict[], int dict_size);
extern int scriptrun(char* fname);
extern int find_file(char* fname, char* fpath);
extern char *nxttoken(void);
extern double fp_arg(void);

extern void imdesc_prt(IMDESC *im);
extern void imdesc_init(IMDESC *im);
extern int ccdrdfits(IMDESC *im, char *fname);
extern int ccdwrfits(IMDESC *im, char *fname);

extern int ddopen(void);
extern void ddclose(void);
extern void dderase(void);
extern int ddwriteimage(IMDESC *im);
extern int ddsetconfig(int config_num);
extern int ddsetzrange(int min, int max);
extern int ddsetzspan(int span);
extern int ddsetzmin(int min);
extern int ddsetzmax(int max);
#endif
