/*============================================================================*/
/*     Header file for plot routines                                          */
/*============================================================================*/
#define PLOT_H

#ifdef PLOT_C
void pf_setxrange(int first, int last);
void pf_setyrange(int min, int max);
void pf_plotrow(IMDESC *im, int row, int newbox);
void pf_plotcol(IMDESC *im, int col, int newbox);
void pf_replot(void);
void lobits_plot(void);
void hibits_plot(void);
void bitbits(int firstrow, int nrow);
#endif

#ifndef PLOT_C
extern void pf_setxrange(int first, int last);
extern void pf_setyrange(int min, int max);
extern void pf_plotrow(IMDESC *im, int row, int newbox);
extern void pf_plotcol(IMDESC *im, int col, int newbox);
extern void pf_replot(void);
extern void lobits_plot(void);
extern void hibits_plot(void);
extern void bitbits(int firstrow, int nrow);
#endif
