/*============================================================================*/
/*     Header file for plot device routines                                   */
/*============================================================================*/
#define PLOTDEV_H

#ifdef PLOTDEV_C
int px_init(void);
void px_resize(void);
int px_open(void);
int px_plotmode(void);
int px_gflush(void);
int px_textmode(void);
int px_close(void);
int px_line(int x1, int y1, int x2, int y2);
int px_color(int colornum);
int px_rdcursor(int *x, int *y);
int px_lwidth(void);
int px_erase(void);
#endif

#ifndef PLOTDEV_C
extern int px_init(void);
extern void px_resize(void);
extern int px_open(void);
extern int px_plotmode(void);
extern int px_gflush(void);
extern int px_textmode(void);
extern int px_close(void);
extern int px_line(int x1, int y1, int x2, int y2);
extern int px_color(int colornum);
extern int px_rdcursor(int *x, int *y);
extern int px_lwidth(void);
extern int px_erase(void);
#endif
