/*============================================================================*/
/*     Header file for ps plot routines                                       */
/*============================================================================*/
#define PLOTSUB_H

#ifdef PLOTSUB_C
void psbox(char *xopt, char *yopt);
void psboxlabels(char *xlbl, char *ylbl);
void psconnect(double *x, double *y, int npts);
void pshisto(double *x, double *y, int npts);
void psopen(char *devname, char mode, char *fname);
void psplotmode(void);
int pslinesc(int x0, int y0, int x1, int y1);
int pssetltype(int arg);
//int pssetlwidth(int arg);
void pserase(void);
//void psrdcurswc(double *x, double *y, int *ch);
int pssetcolor(int i);
void psgflush(void);
void pstextmode(void);
void psclose(void);
int pssetmarg(double bot, double top, double left, double right);
int pssetarea(double xlo, double ylo, double xhi, double yhi);
void pssetwcs(double xlo, double ylo, double xhi, double yhi);
void psreset(void);
#endif

#ifndef PLOTSUB_C
extern void psbox(char *xopt, char *yopt);
extern void psboxlabels(char *xlbl, char *ylbl);
extern void psconnect(double *x, double *y, int npts);
extern void pshisto(double *x, double *y, int npts);
extern void psopen(char *devname, char mode, char *fname);
extern void psplotmode(void);
extern int pslinesc(int x0, int y0, int x1, int y1);
extern int pssetltype(int arg);
//extern int pssetlwidth(int arg);
extern void pserase(void);
//extern void psrdcurswc(double *x, double *y, int *ch);
extern int pssetcolor(int i);
extern void psgflush(void);
extern void pstextmode(void);
extern void psclose(void);
extern int pssetmarg(double bot, double top, double left, double right);
extern int pssetarea(double xlo, double ylo, double xhi, double yhi);
extern void pssetwcs(double xlo, double ylo, double xhi, double yhi);
extern void psreset(void);
#endif
