/*============================================================================*/
/*     Header file for motxer windowing routines                              */
/*============================================================================*/
#define WINDEX_H

#ifdef WINDEX_C
void win_init(int argc, char *argv[]);
void win_start_timer(int interval);
void ud_clock(void);
void ud_xtime(void);
void ud_tleft(void);
void ud_cyctime(void);
void ud_nfsave(void);
void ud_cycle(int arg);
void ud_autosave(int arg);
void ud_autoshutter(int arg);
void ud_autoflush(int arg);
void ud_autowipe(int arg);
//void ud_autowmseq(int arg);
void ud_autoshow(int arg);
void ud_autotemp(int arg);
void ud_autopid(int arg);
void ud_gain(int arg);
//void ud_dm(int arg);
//void ud_wm(int arg);
void ud_sclks(int arg);
void ud_opch(int arg);
void ud_loop_num(int arg);
void ud_ncols(int arg);
void ud_nrows(int arg);
void ud_nch(int arg);
void ud_nccd(int arg);
void ud_namps(int arg);
void ud_hbin(int arg);
void ud_vbin(int arg);
void ud_temp(void);
void ud_heat(void);
void ud_usec(int arg);
//void ud_hsub(int arg);
//void ud_vsub(int arg);
//void ud_hskip(int arg);
//void ud_vskip(int arg);
//void ud_nreads(int arg);
void ud_impath(void);
void ud_exp_state(void);
void ud_hhpanel(void);
void ud_infopanel(void);
#endif

#ifndef WINDEX_C
extern void win_init(int argc, char *argv[]);
extern void win_start_timer(int interval);
extern void ud_clock(void);
extern void ud_xtime(void);
extern void ud_tleft(void);
extern void ud_cyctime(void);
extern void ud_nfsave(void);
extern void ud_cycle(int arg);
extern void ud_autosave(int arg);
extern void ud_autoshutter(int arg);
extern void ud_autoflush(int arg);
extern void ud_autowipe(int arg);
//extern void ud_autowmseq(int arg);
extern void ud_autoshow(int arg);
extern void ud_autotemp(int arg);
extern void ud_autopid(int arg);
extern void ud_gain(int arg);
//extern void ud_dm(int arg);
//extern void ud_wm(int arg);
extern void ud_sclks(int arg);
extern void ud_opch(int arg);
extern void ud_loop_num(int arg);
extern void ud_ncols(int arg);
extern void ud_nrows(int arg);
extern void ud_nch(int arg);
extern void ud_nccd(int arg);
extern void ud_namps(int arg);
extern void ud_hbin(int arg);
extern void ud_vbin(int arg);
extern void ud_temp(void);
extern void ud_heat(void);
extern void ud_usec(int arg);
//extern void ud_hsub(int arg);
//extern void ud_vsub(int arg);
//extern void ud_hskip(int arg);
//extern void ud_vskip(int arg);
//extern void ud_nreads(int arg);
extern void ud_impath(void);
extern void ud_exp_state(void);
extern void ud_hhpanel(void);
extern void ud_infopanel(void);
#endif
